Skip to main content
Back to API List

Update a Contact API

Use this API to update a specific contact associated with a stream ID.
METHODPUT
Endpointhttps://{{host}}/agentassist/api/v1/public/{{streamId}}/contacts/{{id}}
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeConfiguration

Path Parameters

PARAMETERDESCRIPTIONTYPE
hostEnvironment URL, for example, https://platform.kore.aistring, required
streamIdBotId or StreamId. You can access it from the App Settings page of the bot.string, required
idUnique identifier of a specific contactstring, required

Sample Request

curl --location --request PUT 'https://{{host}}/agentassist/api/v1/public/{{streamId}}/contacts/{{id}}' \
--header 'Content-Type: application/json' \
--header 'accountId: 65f7d49a5dd06e2cefaxxxxx' \
--header 'auth: {{jwt_token}}' \
--data '{
    "firstName": "john",
    "lastName": "doe",
    "salutation": "mr",
    "cellPhone": {
        "phoneNumber": "95501xxxxx",
        "countryCode": "+91",
        "extension": "+"
    }
}
'

Request Header Parameters

HeaderDescriptionRequired/Optional
authJWT token for authentication.required
accountIdThe account ID associated with the API request.required
Content-TypeThe format in which the request payload is sent to the server application/jsonrequired

Sample Response

{
    "firstName": "john",
    "lastName": "doe",
    "fullName": "john doe",
    "salutation": "mr",
    "cellPhone": {
        "extension": "+",
        "phoneNumber": "+9195501xxxxx",
        "countryCode": "+91"
    },
    "status": "ACTIVE",
    "instanceBotId": "st-7dc994f0-4436-5134-9fa8-a942625xxxxx",
    "orgId": "o-16ff21d2-5d27-5fb2-b9bd-9fedb5fxxxxx",
    "accountId": "65f7d49a5dd06e2cefaxxxxx",
    "createdBy": "u-cc6ebd6c-656c-5364-abfc-ad5f80exxxxx",
    "createdByAId": "a-6c63a33-c2a7-49e8-a5ab-82449c8xxxxx",
    "address": [],
    "twitterDetails": [],
    "createdAt": "2024-06-28T05:24:07.218Z",
    "updatedAt": "2026-01-09T05:55:58.158Z",
    "updatedBy": "u-cc6ebd6c-656c-5364-abfc-ad5f80exxxxx",
    "updatedByAId": "a-6c63a33-c2a7-49e8-a5ab-82449c8xxxxx",
    "id": "667e48f7c8b972fc691xxxxx"
}

Response parameters

ParameterDescriptionType
firstNameContact’s first name.string
lastNameContact’s last name.string
fullNameContact’s full name.string
salutationSalutation or title of the contact.string
cellPhoneMobile details of the contact.object
cellPhone.extensionDialing prefixstring
cellPhone.phoneNumberContact’s mobile phone number.string
cellPhone.countryCodeCountry calling code associated with the phone number.string
statusCurrent status of the contactstring
instanceBotIdUnique identifier of the associated bot instance.string
orgIdUnique identifier of the organization.string
accountIdUnique identifier of the account.string
createdByUnique identifier of the user who created the contact.string
createdByAIdUnique identifier of the application that created the record.string
addressList of addresses associated with the contact.array of objects
twitterDetailsList of Twitter profile details associated with the contact.array of objects
createdAtTimestamp indicating when the contact was created.string (ISO 8601 Date-Time)
updatedAtTimestamp indicating when the contact was last updated.string (ISO 8601 Date-Time)
updatedByTimestamp indicating when the contact was last updated.string
updatedByAIdUnique identifier of the application that updated the contact.string
idUnique identifier of the contact record.string